=== debian/control ===
Source: killer
Section: misc
Priority: optional
Maintainer: Debian Edu Developers <debian-edu@lists.debian.org>
Uploaders:
 Petter Reinholdtsen <pere@debian.org>
 , José L. Redrejo Rodríguez <jredrejo@debian.org>
Build-Depends: debhelper-compat (= 13)
 , perl
Standards-Version: 4.1.5
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/debian-edu-pkg-team/killer
Vcs-Git: https://salsa.debian.org/debian-edu-pkg-team/killer.git

Package: killer
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends}
 , default-mta | exim4 | mail-transport-agent
 , xprintidle
Description: Background job killer
 killer is a perl script that gets rid of background jobs. Background
 jobs are defined as processes that belong to users who are not currently
 logged into the machine. Jobs can be run in the background (and are
 exempt from *killer*'s actions) if their scheduling priority has been
 reduced by increasing their nice(1) value or if they are being run
 through condor.
 .
 When the package is installed, a cron job is installed to run killer
 once an hour.
